// CommPortSelect.cpp : implementation file
// Written by Philip Allen 
// 
// Version 2.0   28 August 2007  Initial release
// Version 3.1    6 Setember 2007 Rewrite to use serial port
//

#include "stdafx.h"
#include "relay.h"
#include "CommPortSelect.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCommPortSelect dialog


CCommPortSelect::CCommPortSelect(CWnd* pParent /*=NULL*/)
	: CDialog(CCommPortSelect::IDD, pParent)
{
	//{{AFX_DATA_INIT(CCommPortSelect)
	mPortNumber = 0;
	//}}AFX_DATA_INIT
}


void CCommPortSelect::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCommPortSelect)
	DDX_Text(pDX, IDC_EDT_PORT_NUM, mPortNumber);
	DDV_MinMaxInt(pDX, mPortNumber, 1, 99);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CCommPortSelect, CDialog)
	//{{AFX_MSG_MAP(CCommPortSelect)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCommPortSelect message handlers

void CCommPortSelect::OnOK() 
{
	CDialog::OnOK();
}
